Bug 151412 - CAN-2005-1345 Unexpected access control results on configuration errors
Summary: CAN-2005-1345 Unexpected access control results on configuration errors
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=low,public=20050304,source=squid
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-17 18:15 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-415
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-14 19:43:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:415 normal SHIPPED_LIVE Low: squid security update 2005-06-14 04:00:00 UTC

Description Josh Bressers 2005-03-17 18:15:42 UTC
On configuration errors involving wrongly defined or missing acls the
http_access results may be different than expected, possibly allowing more
access than intended. This patch makes such configuration errors a fatal error,
preventing the service from starting until the access control configuration
errors have been corrected.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-acl_error

Comment 1 Josh Bressers 2005-03-17 18:26:28 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-06-14 19:43:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-415.html



Note You need to log in before you can comment on or make changes to this bug.